%define rhugversion 20030326
%define rhugsource1 %{name}-%{version}-src upstream
%define rhugpatches 3

Summary: Jakarta Commons Beanutils Component
Name: commons-beanutils
Version: 1.6.1
Release: 10.XOS.1
URL: http://jakarta.apache.org/commons/beanutils.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-1.6.1-release.patch
Patch2: %{name}-1.6.1-buildclasspath.patch
Patch3: %{name}-1.6.1-nag15565.patch
Patch4: %{name}-1.6.1-hammer.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: commons-collections >= 2.1-9
BuildPrereq: commons-logging >= 1.0.2-12
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: commons-collections >= 2.1-9
Requires: commons-logging >= 1.0.2-12
ExclusiveArch: i386 x86_64 ppc ia64

%description
The Jakarta Commons Beanutils Component provides easy-to-use wrappers
around the Reflection and Introspection APIs.

%package devel
Summary: CNI headers for developing Commons Beanutils applications
Group: Development/Libraries
Requires: commons-beanutils = %{version}-%{release}

%description devel
The commons-beanutils-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Beanutils Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch3 -p1 -b .nag15565
%patch4 -p0 -b .hammer
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-commons-beanutils.so

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-beanutils.so \
    %{_datadir}/java/commons-beanutils.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-beanutils.so \
    %{_datadir}/java/commons-beanutils.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/beanutils

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.6.1-10.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on commons-beanutils-1.6.1-10.src.rpm
  (md5sum of original source rpm: 5bba4d2b5f2f0161eeff59f30f654d86).

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.6.1-10
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.6.1-9
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.6.1-8
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.6.1-7
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.6.1-6
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.6.1-5
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Fri May 23 2003 Gary Benson <gbenson@redhat.com> 1.6.1-4
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 1.6.1-3
- Rebuild with new compiler.

* Fri Apr 11 2003 Gary Benson <gbenson@redhat.com> 1.6.1-2
- Fix linking on hammer.

* Wed Apr  2 2003 Gary Benson <gbenson@redhat.com> 1.6.1-1
- Initial Red Hat Linux build.

* Wed Mar 26 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
